Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTabWidget.TabPosition

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTabWidget.TabPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTabWidget

    public static final class QTabWidget.TabPosition

extends java.lang.Enum
implements QtEnumerator

This enum type defines where `QTabWidget` draws the tab row:

See Also:
  Serialized Form

Field Summary
`static QTabWidget.TabPosition` | `East` The tabs are drawn to the right of the pages.
`static QTabWidget.TabPosition` | `North` The tabs are drawn above the pages.
`static QTabWidget.TabPosition` | `South` The tabs are drawn below the pages.
`static QTabWidget.TabPosition` | `West` The tabs are drawn to the left of the pages.

Method Summary
`static QTabWidget.TabPosition` | `resolve(int value)` Returns the QTabWidget$TabPosition constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTabWidget.TabPosition` | `valueOf(java.lang.String name)`
`static QTabWidget.TabPosition[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### North

    public static final QTabWidget.TabPosition North

  The tabs are drawn above the pages.

### South

    public static final QTabWidget.TabPosition South

  The tabs are drawn below the pages.

### West

    public static final QTabWidget.TabPosition West

  The tabs are drawn to the left of the pages.

### East

    public static final QTabWidget.TabPosition East

  The tabs are drawn to the right of the pages.

Method Detail

### values

    public static QTabWidget.TabPosition[] values()

### valueOf

    public static QTabWidget.TabPosition valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTabWidget.TabPosition resolve(int value)

  Returns the QTabWidget$TabPosition constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD